[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomLabeledEdit.SetParent

Sets the value for the Parent property.

## Declaration

Source position: extctrls.pp line 1033

`protected procedure TCustomLabeledEdit.SetParent(`
`AParent: TWinControl`
`); override;`

## Arguments

`AParent` |  | New parent for the control.

## Description

SetParent is overridden in TCustomLabeledEdit to ensure that the EditLabel for the control is properly aligned after the value in Parent is changed. Calls DoPositionLabel to set the label visibility and position the label using the value in LabelPosition and LabelSpacing.

## See also

TCustomLabeledEdit.EditLabel |  | EditLabel - the label attached to the edit box.
TCustomLabeledEdit.LabelPosition |  | Edge on the edge control where the bound label is aligned.
TCustomLabeledEdit.LabelSpacing |  | Number of pixels between the control and its bound label.
TControl.Parent |  | The control within which the control is shown.
TControl.SetParent |  | Sets the value for the Parent property.